#!/bin/sh
#
# Load arabic console support
#
# chkconfig: 2345 74 06
# description: This package loads the arabic support for the Linux console \
#   allowing right-to-left display of arabic text

[ -f /usr/bin/acon ] || exit 0

# Source function library.
. /etc/rc.d/init.d/functions

case "$1" in
	start)
		echo -n "Loading arabic console support acon: "
		/usr/bin/acon -hc -s 1 2 3 4 5 6 &
		ps auwx |grep /usr/bin/acon | grep -v grep >& /dev/null \
			&& success || failure
		;;
	stop)
		echo -n "Stopping arabic console support: "
		killall acon && success || failure

		# FIXME: how to force a redrawing of one VC ?
		# currently a switch to another console and back is needed
		;;
	restart|reload)
		$0 stop
		$0 start
		;;
	status)
		status acon
		;;
	*)
		echo "Usage: acon {start|stop|restart|reload|status}"
		exit 1
esac

exit 0
